NativeScript

This ideas portal has been deprecated. To submit new feature requests, please follow this guideline

Make all plugins compatible with {N}+NG2

A lot of plugins do not support NG2, it would help if there was a better way of using old plugins with Nativescript Angular 2 apps.

  • Guest
  • Jul 6 2016
Link to GitHub issue
  • Attach files
  • Brad Martin commented
    November 2, 2016 00:54

    What plugins aren't working? If a plugin is written with plain NativeScript it should mostly work without any extra work or 'converting' of the plugin. All of my plugins work with plain NativeScript and Angular/Nativescript so I'm really curious what issues you're running into. It might just be a missing piece to get the plugin working and not the plugin itself.